<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Lifecycle\Module;

use PpPhp\Core\Platform\Event\Lifecycle\LifecycleEvent;

final class BeforeModuleUnload extends LifecycleEvent
{
    public function __construct(string $moduleId = '', array $payload = [], array $metadata = [])
    {
        $payload = ['moduleId' => $moduleId] + $payload;
        parent::__construct('platform.module.before_unload', 'module', 'before_unload', 'module', $payload, $metadata);
    }
}
